al_get_keyboard_event_source(3)

NAME

al_get_keyboard_event_source - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_EVENT_SOURCE *al_get_keyboard_event_source(void)

DESCRIPTION

Retrieve the keyboard event source. All [keyboard events]ALLEGRO_EVENT_KEY_DOWN(3) are generated by this event source.

Returns NULL if the keyboard subsystem was not installed.